#%define dictfmt_version 1.6.1

Name: dictd
Version: 1.9.1
Release: alt2

Url: http://www.dict.org/
License: GPL

Packager: Alexey Dyachenko <alexd@altlinux.ru>

Source: dictd-%version.tar.gz
#Source1: dictfmt-%dictfmt_version-source.tar.gz
Source2: dictd
Source3: dictdconfig
Source4: dictd.conf
Source5: dict.conf

Patch10: dict-1.8.0-alt-utf8.patch

# -------  dictd package description ----- #

Serial: 1
Summary: dict server that serves dictionaries for clients
Summary(ru):       dict
Group: System/Servers

Obsoletes: dictd = 1:1.5.5-alt1

PreReq: chkconfig

# Automatically added by buildreq on Mon Sep 23 2002
BuildRequires: flex groff tetex-dvips tetex-latex transfig

%description
This package contains dictionary server that supports DICT clients
(Dicrionary Server Protocol). There are many console and X11 DICT
clients. Here are some of them that are supported by Alt Linux
distributions:
* dict
* kdict
* gdict

%description -l ru_RU.KOI8-R -n dictd
    ,   DICT
 (DICT --  ).   
  DICT ,       
 Alt Linux:
* dict
* kdict
* gdict

# -------- dict-tools description ------- #

%package -n dict-tools
# Name: dict-tools
Summary: tools for making dictionary files for dictd server
Summary(ru):        dictd
Group: Development/Other

%description -n dict-tools
This package contains various tools for creating and working with
dictionaries in dictd server format:
* dictzip(1) is a compression program which creates compressed files
  in the gzip format (see RFC 1952).
* dictfmt is program for making binary dictionaries from plain format

%description -n dict-tools -l ru_RU.KOI8-R
         
 dictd:
* dictzip --    .
* dictfmt --       
  .

# ------- dict description ------ #

%package -n dict
# Name: dict
Summary: dict client
Summary(ru):    dictd 
Group: Text tools

%description -n dict
This package contains console client for DICT server. It is light and
easy to use.

%description -n dict -l ru_RU.KOI8-R
       DICT .  
  .

# --------------- real part ----------------  #

%prep
%setup -q

%patch10 -p1

#mkdir dictfmt-%dictfmt_version
#cd dictfmt-%dictfmt_version
#tar -zxvf %SOURCE1
#cd ..
mkdir rpmdoc
cp COPYING README ANNOUNCE ChangeLog rpmdoc/
#cp dictfmt-%dictfmt_version/README rpmdoc/README.dictfmt

%build
%configure --without-local-zlib
%make
%make -C doc/ rfc.txt
#cd dictfmt-%dictfmt_version
#%configure
#%make
#cd ..

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
mkdir -p $RPM_BUILD_ROOT%_sbindir
mkdir -p $RPM_BUILD_ROOT%_initdir
%makeinstall man1_prefix=$RPM_BUILD_ROOT%_mandir/man1 man8_prefix=$RPM_BUILD_ROOT%_mandir/man8
install -p -m644 dict.1 $RPM_BUILD_ROOT%_mandir/man1
#cd dictfmt-%dictfmt_version
#install -p -m755 dictfmt $RPM_BUILD_ROOT%_bindir
#install -p -m644 dictfmt.1 $RPM_BUILD_ROOT%_mandir/man1
#cd ..
cp doc/rfc.txt rpmdoc/
install -p -m755 %SOURCE2 $RPM_BUILD_ROOT%_initdir/%name
install -p -m755 -D %SOURCE3 $RPM_BUILD_ROOT%_sbindir/dictdconfig
install -p -m644 -D %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/%name.conf
install -p -m644 -D %SOURCE5 $RPM_BUILD_ROOT%_sysconfdir/dict.conf
mkdir -p $RPM_BUILD_ROOT/var/lib/dictd

%pre
/usr/sbin/groupadd -r dictd &>/dev/null ||:
/usr/sbin/useradd -r -n -M -g dictd -d %_localstatedir/%name -s /dev/null dictd  &>/dev/null ||:

%post
if [ "$1" = "1" ]; then
	/usr/sbin/dictdconfig -w
fi
%post_service %name

%preun
%preun_service %name
%files
%doc rpmdoc/rfc.txt rpmdoc/README rpmdoc/COPYING
%_sbindir/dictd
%_sbindir/dictdconfig
%_mandir/man8/*
%_initdir/%name
%_localstatedir/%name
%_sysconfdir/%name.conf

%files -n dict-tools
#%doc rpmdoc/COPYING rpmdoc/README.dictfmt
%_bindir/dictfmt
%_bindir/dictzip
%_mandir/man1/dictfmt.1*
%_mandir/man1/dictzip.1*

%files -n dict
%doc rpmdoc/COPYING rpmdoc/README
%_bindir/dict
%_mandir/man1/dict.1*
%_sysconfdir/dict.conf

%changelog
* Thu Jan 30 2003 Alexey Dyachenko <alexd@altlinux.ru> 1:1.9.1-alt2
- build with standard dictfmt

* Tue Jan 21 2003 Alexey Dyachenko <alexd@altlinux.ru> 1:1.9.1-alt1
- new version
- fixed bug #0001704: service dictd condreload should be available
- start daemon with ru_RU.UTF-8 locale by default

* Mon Oct 14 2002 Alexey Dyachenko <alexd@altlinux.ru> 1:1.8.0-alt1
- new version with plug-in support
- map wrong characters to '?'
- fixed bug #0001279:  service dictd reload crush
- close feature request #0000843:  output not converted to locale charset (CP1251)

* Tue Sep 24 2002 Alexey Dyachenko <alexd@altlinux.ru> 1:1.7.1-alt1
- new version
- utf-8 patches for dictd from  Alexey Cheusov
- translation patch from utf8 to current encoding
- spec cleanup by Stanislav Ievlev

* Sun Mar 17 2002 Peter 'Nidd' Novodvorsky <nidd@alt-linux.org> 1.5.5-alt1
- fixed bug #625:  dictd server runs as a user with no name

* Sun Feb  6 2001 Peter 'Nidd' Novodvorsky <petya@logic.ru> 1.5.5-ipl2
- fixed bug in init script. Not supports chkconfig.

* Sun Feb  4 2001 Peter 'Nidd' Novodvorsky <petya@logic.ru> 1.5.5-ipl1
- initial release

